Bug 837481 - Topics that require location information according to Docs QE Feedback
Topics that require location information according to Docs QE Feedback
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 6.0.1
Assigned To: Misha H. Ali
John Skeoch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-04 00:57 EDT by gsheldon
Modified: 2012-09-19 23:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-19 23:48:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gsheldon 2012-07-04 00:57:53 EDT
Getting Started Guide:
Bug 837185 

6.5. Use a Named Cache

[comment] This section refers to CustomCacheQuickstart.java, XmlConfiguredCacheQuickstart.java and infinispan.xml, can details be provided of where they are located?

-
Comment 1 Misha H. Ali 2012-07-04 23:46:37 EDT
Adding John. This issue requires clarification from SMEs when they return from Summit. The original bug will be closed as normal, attesting to all QE issues addresses but this one.
Comment 2 gsheldon 2012-07-24 21:49:46 EDT
location information provided by Pmuir. On the JDG_QE pad for confirmation. Will set to ON_QA once the information is confirmed and the change appears on the stage.
Comment 4 Misha H. Ali 2012-09-17 02:19:10 EDT
Gemma, please coorindate with Martin to get someone from QE to review that the information provided is accurate before release.
Comment 5 Misha H. Ali 2012-09-17 02:19:11 EDT
Gemma, please coorindate with Martin to get someone from QE to review that the information provided is accurate before release.
Comment 7 gsheldon 2012-09-17 07:24:12 EDT
Martin's feedback (via email):

"We should not point to Infinispan's download page so I would remove the 
"The Infinispan Project's Downloads page." link.
The second link is fine. ("The Infinispan Github Repository.")

If this documentation is going to be available for JDG 6.0.1, we should 
remove the "Important" note that quickstarts are only a technical preview.

Furthermore, the quickstarts are using Infinispan bits, not JDG. It 
would be good if we mentioned that users should replace Infinispan's 
dependencies with those from JDG."

Setting back to assigned while I address this.
Comment 8 gsheldon 2012-09-17 08:43:29 EDT
Tech Preview comments removed from 
http://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Getting_Started_Guide/sect-Configure_the_Maven_Repository.html

and http://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Getting_Started_Guide/chap-Run_JBoss_Data_Grid_as_an_Embedded_Cache.html#Quickstart_File_Locations

Have included 

"Important

These quickstarts have been written for the Infinispan community project. In order to deploy these quickstarts in JBoss Data Grid, remember to replace Infinispan dependencies with those from JBoss Data Grid. "

in Quickstart File Locations topic.
Comment 9 Martin Gencur 2012-09-17 09:11:30 EDT
I'm sorry Gemma. I previously ACKed the statement about quickstarts. However, it should be rephrased a bit. We cannot deploy anything in JDG so the second sentence could confuse users. Lets' say: "In order to run these quickstarts, remember to replace ..."
Comment 10 gsheldon 2012-09-17 18:47:41 EDT
No problem Martin.

I've changed this to 

"These quickstarts have been written for the Infinispan community project. In order to run these quickstarts in JBoss Data Grid, remember to replace Infinispan dependencies with those from JBoss Data Grid" as suggested.

I take it this is ok now?
Comment 11 gsheldon 2012-09-17 19:38:23 EDT

Rephrased to

"These quickstarts are written for the Infinispan community project. To run these quickstarts in JBoss Daya Grid, replace Infinispan dependencies with JBoss Data Grid dependencies."

Note You need to log in before you can comment on or make changes to this bug.